

import request from '@/config/axios'

// AI 嵌入存储 VO
export interface EmbedStoreVO {
  id: string
  // TODO: Add other fields based on your data model
}

// AI 嵌入存储 API
export const EmbedStoreApi = {
  // 获得嵌入存储列表
  getEmbedStoreList: async (params: any) => {
    return await request.get({ url: '/chat/aigc/embed-store/list', params })
  },

  // 获得嵌入存储分页
  getEmbedStorePage: async (params: any) => {
    return await request.get({ url: '/chat/aigc/embed-store/page', params })
  },

  // 获得嵌入存储详情
  getEmbedStore: async (id: string) => {
    return await request.get({ url: `/chat/aigc/embed-store/${id}` })
  },

  // 创建嵌入存储
  createEmbedStore: async (data: any) => {
    return await request.post({ url: '/chat/aigc/embed-store', data })
  },

  // 更新嵌入存储
  updateEmbedStore: async (data: any) => {
    return await request.put({ url: '/chat/aigc/embed-store', data })
  },

  // 删除嵌入存储
  deleteEmbedStore: async (id: string) => {
    return await request.delete({ url: `/chat/aigc/embed-store/${id}` })
  }
}
// export function list(params: any) {
//   return http.request({
//     url: '/aigc/embed-store/list',
//     method: 'get',
//     params,
//   });
// }

// export function page(params: any) {
//   return http.request({
//     url: '/aigc/embed-store/page',
//     method: 'get',
//     params,
//   });
// }

// export function getById(id: string) {
//   return http.request({
//     url: `/aigc/embed-store/${id}`,
//     method: 'get',
//   });
// }

// export function add(params: any) {
//   return http.request({
//     url: '/aigc/embed-store',
//     method: 'post',
//     params,
//   });
// }

// export function update(params: any) {
//   return http.request({
//     url: '/aigc/embed-store',
//     method: 'put',
//     params,
//   });
// }

// export function del(id?: string) {
//   return http.request({
//     url: `/aigc/embed-store/${id}`,
//     method: 'delete',
//   });
// }
